Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::Norm::Normalizer< LatType::EMBEDDED, NORM > Class Template Reference

Specialization of LatType::Normalizer for embedded lattices. More...

`#include <Normalizer.h>`

Inherits LatBuilder::BasicMeritFilter< LatType::EMBEDDED >.

## Public Types
typedef RealVector | MeritValue
typedef LatBuilder::LatDef < LatType::EMBEDDED > | LatDef
typedef NORM | Norm
Public Types inherited from LatBuilder::BasicMeritFilter< LatType::EMBEDDED >
typedef MeritFilterTraits< LAT > ::MeritValue | InputMeritValue
typedef MeritFilterTraits< OUT > ::MeritValue | OutputMeritValue
typedef LatBuilder::LatDef< LAT > | LatDef

## Public Member Functions
| Normalizer (Norm norm)
MeritValue | operator() (const MeritValue &merit, const LatDef &lat) const
| Normalizes the values in `merit`. More...
const Norm & | norm () const
std::string | name () const
void | setWeights (RealVector levelWeights)
| Sets the per-level weights. More...
const RealVector & | weights () const
Public Member Functions inherited from LatBuilder::BasicMeritFilter< LatType::EMBEDDED >
virtual OutputMeritValue | operator() (const InputMeritValue &, const LatDef &) const =0

## Detailed Description

### template<class NORM>
class LatBuilder::Norm::Normalizer< LatType::EMBEDDED, NORM >

Specialization of LatType::Normalizer for embedded lattices.

## Constructor & Destructor Documentation

template<class NORM >

LatBuilder::Norm::Normalizer< LatType::EMBEDDED, NORM >::Normalizer | ( | Norm | norm | ) |
| inline

Parameters

  norm | Normalization function.

## Member Function Documentation

template<class NORM >

RealVector LatBuilder::Norm::Normalizer< LatType::EMBEDDED, NORM >::operator() | ( | const MeritValue & | merit,
|  | const LatDef & | lat
| ) |  | const

Normalizes the values in `merit`.

Returns `true`.

References LatBuilder::LatDef< LAT >::dimension(), and LatBuilder::LatDef< LAT >::sizeParam().

template<class NORM >

void LatBuilder::Norm::Normalizer< LatType::EMBEDDED, NORM >::setWeights | ( | RealVector | levelWeights | ) |

Sets the per-level weights.

Parameters

  levelWeights | Per-level weights.

Remarks
  The per-level weights \(c_m\) for \(m=1,\dots,M\) are expected to satisfy \(\sum_{m=0}^M c_m \leq 1\).

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Norm/Normalizer.h